## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

%global crate add-determinism

Name:           rust-add-determinism
Version:        0.3.6
Release:        %autorelease
Summary:        RPM buildroot helper to strip nondeterministic bits in files

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/add-determinism
Source:         %{crates_source}

Patch:          https://github.com/keszybz/add-determinism/commit/2ef536bbd81a432bb3d7fe39b4ca9215a1657783.patch
Patch:          0001-Revert-ci-also-skip-tests-with-rust-beta.patch
Patch:          0002-Revert-ci-disable-tests-with-nightly.patch
Patch:          0003-handlers-drop-explicit-lifetime-annotation.patch
Patch:          0004-Prefix-logs-with-pid-when-invoked-with-j.patch
Patch:          0005-tests-drop-ctor-use.patch

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
RPM buildroot helper to strip nondeterministic bits in files.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# GPL-3.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-or-later AND MIT AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.GPL3
%license LICENSE.dependencies
%doc README.md
%{_bindir}/add-determinism

%package     -n build-reproducibility-srpm-macros
Summary:     Configuration to integrate add-determinism in package builds
BuildArch:   noarch
Requires:    add-determinism = %{version}-%{release}

%description -n build-reproducibility-srpm-macros
%{summary}.

This package is intended to be pulled in by redhat-rpm-config.

%files       -n build-reproducibility-srpm-macros
%{rpmmacrodir}/macros.build-reproducibility

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} >LICENSE.dependencies

%install
%cargo_install
install -m0644 -Dt %{buildroot}%{rpmmacrodir} rpm/macros.build-reproducibility

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Nov 12 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.6-3
- Add patch to limit the number of workers (rhbz#2325164)

* Sat Sep 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.6-2
- Regenerate with rust2rpm v26 and update license tag

* Tue Jul 30 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.6-1
- Version 0.3.6
- Fix operation with buildroots with a symlink in the path

* Fri Jul 19 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.5-1
- Version 0.3.5
- Fix operation with -j with no arg

* Fri Jul 19 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.4-1
- Version 0.3.4
- Adds pyc-zero-mtime handler for ostree builds

* Mon Jul 01 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.3-1
- Version 0.3.3
- Resolves rhbz#2294835

* Mon Jul 01 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.2-4
- tests: try to do a local build

* Mon Jul 01 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.2-3
- tests: copy test from rpm package

* Sun Jun 30 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.2-2
- Properly process all entries when iteration fails for an entry

* Fri Jun 28 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.2-1
- Version 0.3.2
- Better error messages related to $RPM_BUILD_ROOT
- --check mode

* Thu Jun 27 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-2
- Improve logging when $RPM_BUILD_ROOT is misconfigured

* Thu Jun 20 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-1
- Version 0.3.1
- Fixes rhbz#2293436

* Tue Jun 18 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-2
- Reduce debug output for jar files

* Thu Jun 13 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-1
- Version 0.3.0

* Fri Jun 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-12
- Add patch to fix serialization bug on s390x

* Fri Jun 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-11
- Use a rust reimplementation of marshalparser

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.2.0-10
- Rebuilt for Python 3.13

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-9
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri May 17 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-8
- Actually apply patches as intended

* Thu May 16 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-7
- Install -nopython version unconditionally and full via rich dep

* Sat May 11 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-6
- Drop conditionalization on rpm-build

* Tue May 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-5
- Create separate noarch build-reproducibility-srpm-macros subpackage

* Tue May 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-3
- Introduce add-determinism-nopython
- This version of the program is not linked to libpython, so it can be used
  for bootstrapping. The handler for .pyc files is disabled.

* Tue May 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-2
- Drop -devel subpackages

* Wed Apr 03 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-1
- Version 0.2.0

* Thu Mar 28 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0.20240325git3d2444a-2
- Install /usr/lib/rpm/macros/macros.build-reproducibility

* Mon Mar 25 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0.20240325git3d2444a-1
- Version 0.1.0.20240325git5004746

* Sun Mar 24 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-2
- Spell out the full license for the binary package

* Sat Mar 23 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-1
- Initial packaging
## END: Generated by rpmautospec
